#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit/functional tests (need some S3 credentials)

Summary:	Low-level, data-driven core of boto 3
Summary(pl.UTF-8):	Niskopoziomowy, oparty na danych rdzeń boto 3
Name:		python3-botocore
Version:	1.34.152
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/botocore/
Source0:	https://files.pythonhosted.org/packages/source/b/botocore/botocore-%{version}.tar.gz
# Source0-md5:	cbc9cde1929764067bfc4d4261a321eb
URL:		https://pypi.org/project/botocore/
BuildRequires:	python3-dateutil >= 2.1
BuildRequires:	python3-dateutil < 3
BuildRequires:	python3-jmespath >= 0.7.1
BuildRequires:	python3-jmespath < 2
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	python3-urllib3 >= 1.25.4
BuildRequires:	python3-urllib3 < 1.27
%if %{with tests}
BuildRequires:	python3-behave >= 1.2.5
BuildRequires:	python3-jsonschema >= 2.5.1
BuildRequires:	python3-pytest >= 7.1.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	python3-guzzle_sphinx_theme
BuildRequires:	sphinx-pdg-3
%endif
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A low-level interface to a growing number of Amazon Web Services. The
botocore package is the foundation for the AWS CLI
(<https://github.com/aws/aws-cli>) as well as boto3
(<https://github.com/boto/boto3>).

%description -l pl.UTF-8
Niskopoziomowy interfejs do rosnącej liczby usług Amazon Web Services.
Pakiet botocore jest podstawą dla AWS CLI
(<https://github.com/aws/aws-cli>), jak i boto3
(<https://github.com/boto/boto3>).

%package apidocs
Summary:	API documentation for Python botocore module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona botocore
Group:		Documentation

%description apidocs
API documentation for Python botocore module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona botocore.

%prep
%setup -q -n botocore-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest tests
%endif

%if %{with doc}
PYTHONPATH=$(pwd) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/botocore
%{py3_sitescriptdir}/botocore-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,development,reference,topics,tutorial,*.html,*.js}
%endif
%changelog
* Thu Aug 01 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-botocore.git;a=log;h=master

* Thu Aug 01 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> eb7aab2
- Up to 1.34.152

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> d99f35c
- updated to 1.27.96

* Sat Sep 24 2022 Jan Palus <atler@pld-linux.org> aa22715
- up to 1.27.80

* Wed Aug 24 2022 Jan Palus <atler@pld-linux.org> 03cf3fb
- up to 1.27.58

* Sun Jul 31 2022 Jan Palus <atler@pld-linux.org> 68d5f58
- up to 1.27.42

* Mon Jun 06 2022 Jan Palus <atler@pld-linux.org> dafbe3a
- up to 1.27.2

* Sun May 08 2022 Jan Palus <jpalus@fastmail.com> eec8f95
- up to 1.25.9

* Wed Apr 06 2022 Jan Palus <atler@pld-linux.org> e3d4402
- up to 1.24.34

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 9bb51b2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> ddf2d22
- rebuild with python 3.10

* Sun Mar 06 2022 Jan Palus <atler@pld-linux.org> 7be2207
- up to 1.24.13

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> 2c5608f
- up to 1.23.52

* Wed Jan 12 2022 Jan Palus <atler@pld-linux.org> c95de40
- up to 1.23.33

* Wed Dec 08 2021 Jan Palus <atler@pld-linux.org> b54aa6e
- up to 1.23.21

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> a476435
- up to 1.21.40

* Mon Sep 13 2021 Jan Palus <atler@pld-linux.org> 4ec6e1a
- rename to python3-botocore

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d71703c
- release 2 (by relup.sh)

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> c49681b
- docs require jmespath

* Fri Feb 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0ada6fb
- new

